Bug 25606 - Adds "Remove all reserves" button to course details
Summary: Adds "Remove all reserves" button to course details
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Joe Sikowitz
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-26 14:40 UTC by Joe Sikowitz
Modified: 2020-09-27 06:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25606: Add remove all reserves button to course details page (4.10 KB, patch)
2020-05-26 14:43 UTC, Joe Sikowitz
Details | Diff | Splinter Review
Bug 25606: Remove all reserve items button (4.16 KB, patch)
2020-06-02 14:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25606: Remove all reserve items button (4.22 KB, patch)
2020-08-06 18:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25606: (QA follow-up) Don't show remove all button if no reserves (1.69 KB, patch)
2020-08-06 18:20 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Sikowitz 2020-05-26 14:40:42 UTC
Adds a "Remove all reserves" button to the course details screen for each course reserve. It allows for quick removal of courses with many reserve items attached.
Comment 1 Joe Sikowitz 2020-05-26 14:43:17 UTC
Created attachment 105360 [details] [review]
Bug 25606: Add remove all reserves button to course details page
Comment 2 Lucas Gass 2020-06-01 22:38:45 UTC
Hey Joe,

This seems like a great enhancement! Would you mind adding a test plan to this patch?
Comment 3 Joe Sikowitz 2020-06-02 13:17:36 UTC
Test plan
1. Install patch
2. Log in as user with permission to delete reserves
3. View a course reserve record with multiple items attached
4. There should now be a button that says "- Batch remove reserves"
5. When you click the button a dialog box should appear with a warning
6. Click "Ok"
7. All course reserves should be removed from the record
8. Add an item to more than course record
9. Redo 3-7
10. Items should have been removed from that course but remain on all other courses
11. Log in as a user without delete reserves permission
12. You should not see the batch remove option
Comment 4 Lucas Gass 2020-06-02 14:34:13 UTC
Created attachment 105494 [details] [review]
Bug 25606: Remove all reserve items button

Adds button to course records to remove all attached reserve items. A warning dialog box will appear before executed.

Test plan
1. Install patch
2. Log in as user with permission to delete reserves
3. View a course reserve record with multiple items attached
4. There should now be a button that says "- Batch remove reserves"
5. When you click the button a dialog box should appear with a warning
6. Click "Ok"
7. All course reserves should be removed from the record
8. Add an item to more than course record
9. Redo 3-7
10. Items should have been removed from that course but remain on all other courses
11. Log in as a user without delete reserves permission
12. You should not see the batch remove option

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Nick Clemens 2020-08-06 18:20:25 UTC
Created attachment 107904 [details] [review]
Bug 25606: Remove all reserve items button

Adds button to course records to remove all attached reserve items. A warning dialog box will appear before executed.

Test plan
1. Install patch
2. Log in as user with permission to delete reserves
3. View a course reserve record with multiple items attached
4. There should now be a button that says "- Batch remove reserves"
5. When you click the button a dialog box should appear with a warning
6. Click "Ok"
7. All course reserves should be removed from the record
8. Add an item to more than course record
9. Redo 3-7
10. Items should have been removed from that course but remain on all other courses
11. Log in as a user without delete reserves permission
12. You should not see the batch remove option

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2020-08-06 18:20:28 UTC
Created attachment 107905 [details] [review]
Bug 25606: (QA follow-up) Don't show remove all button if no reserves

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2020-08-07 14:55:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-08-14 22:30:19 UTC
enhancement will not be backported to 20.05.x series
Comment 9 Martin Renvoize 2020-09-27 06:40:41 UTC
*** Bug 26332 has been marked as a duplicate of this bug. ***